箭士连射: 
  name: '箭士连射'
  type: 'Dynamic'
  max-level: 1
  skill-req-lvl: 1
  needs-permission: 'false'
  attributes: 
    level-base: '1'
    level-scale: '0'
    cost-base: '0'
    cost-scale: '0'
    cooldown-base: '0'
    cooldown-scale: '0'
    mana-base: '0'
    mana-scale: '0'
    points-spent-req-base: '0'
    points-spent-req-scale: '0'
    incompatible: 
    - ''
  msg: '&6{player} &2has cast &6{skill}'
  icon: 'JACK_O_LANTERN'
  icon-durability: 0
  icon-data: 0
  icon-lore: 
  - '&d{name} &7({level}/{max})'
  - '&2Type: &6{type}'
  - ''
  - '{req:level}Level: {attr:level}'
  - '{req:cost}Cost: {attr:cost}'
  - ''
  - '&2Mana: {attr:mana}'
  - '&2Cooldown: {attr:cooldown}'
  desc:  []
  components: 
    Cast: 
      type: 'trigger'
      indicator: '3D'
      data: 
        icon-key: ''
        indicator: '2D'
      children: 
        Self-b: 
          type: 'target'
          indicator: '3D'
          data: 
            icon-key: ''
            indicator: '2D'
            group: 'enemy'
            wall: 'false'
            caster: 'false'
          children: 
            Value Placeholder-c: 
              type: 'mechanic'
              indicator: '3D'
              data: 
                icon-key: ''
                counts: 'True'
                key: '箭士连射_技能伤害'
                type: 'Number'
                placeholder: '%sx_ALLdamage%'
                indicator: '2D'
              children:  {}
            Value Multiply-d: 
              type: 'mechanic'
              indicator: '3D'
              data: 
                icon-key: ''
                counts: 'True'
                key: '箭士连射_技能伤害'
                multiplier-base: '0.6'
                multiplier-scale: '0'
                indicator: '2D'
              children:  {}
        Self-e: 
          type: 'target'
          indicator: '3D'
          data: 
            icon-key: ''
            indicator: '2D'
            group: 'enemy'
            wall: 'false'
            caster: 'false'
          children: 
            Jun_ImageParticle-f: 
              type: 'mechanic'
              indicator: 'None'
              data: 
                icon-key: ''
                counts: 'True'
                life-base: '1.5'
                life-scale: '0'
                repeat-base: '1'
                repeat-scale: '0'
                readspeed-base: '20'
                readspeed-scale: '0'
                inentity: 'True'
                onentityupdate: 'False'
                inlook: 'False'
                isgif: 'False'
                links: 
                - 'redirect:lsj1.png'
                - 'redirect:lsj2.png'
                - 'redirect:lsj3.png'
                - 'redirect:lsj4.png'
                编辑器参数-Base-: 'True'
                startWidthSize-base: '3'
                startWidthSize-scale: '0'
                startHightSize-base: '3'
                startHightSize-scale: '0'
                startYawAngle-base: '0'
                startYawAngle-scale: '0'
                startPitchAngle-base: '0'
                startPitchAngle-scale: '0'
                startRowAngle-base: '0'
                startRowAngle-scale: '0'
                UVpitch-base: '0'
                UVpitch-scale: '0'
                UVyaw-base: '0'
                UVyaw-scale: '0'
                UVrow-base: '0'
                UVrow-scale: '0'
                forwardoffset-base: '1.5'
                forwardoffset-scale: '0'
                upoffset-base: '1.2'
                upoffset-scale: '0'
                rightoffset-base: '0'
                rightoffset-scale: '0'
                forwardspeed-base: '0'
                forwardspeed-scale: '0'
                upspeed-base: '0.8'
                upspeed-scale: '0'
                rightspeed-base: '0'
                rightspeed-scale: '0'
                编辑器参数-biansu-: 'True'
                width-base: '-40'
                width-scale: '0'
                zoomWidthTime-base: '2'
                zoomWidthTime-scale: '0'
                hight-base: '-40'
                hight-scale: '0'
                zoomHightTime-base: '2'
                zoomHightTime-scale: '0'
                pitchangle-base: '0'
                pitchangle-scale: '0'
                zoomPitchAngleTime-base: '2'
                zoomPitchAngleTime-scale: '0'
                yawangle-base: '0'
                yawangle-scale: '0'
                zoomYawAngleTime-base: '2'
                zoomYawAngleTime-scale: '0'
                zoomrowangle-base: '0'
                zoomrowangle-scale: '0'
                zoomRowAngleTime-base: '2'
                zoomRowAngleTime-scale: '0'
                forwardspeedzoom-base: '0'
                forwardspeedzoom-scale: '0'
                zoomforwardTime-base: '2'
                zoomforwardTime-scale: '0'
                rightspeedzoom-base: '0'
                rightspeedzoom-scale: '0'
                zoomrightTime-base: '2'
                zoomrightTime-scale: '0'
                upspeedzoom-base: '0'
                upspeedzoom-scale: '0'
                zoomupdateTime-base: '2'
                zoomupdateTime-scale: '0'
                编辑器参数-shijiao-: 'True'
                HORIZONTAL: 'True'
                forwardmove: 'True'
                picthlock: 'True'
                body: 'eye'
                Relativeperspective: ''
                HORIZONTAL-YAW: 'False'
                编辑器参数-gongzhuan-: 'False'
                编辑器参数-yanse-: 'False'
                编辑器参数-OTHER-: 'False'
                indicator: 'False'
                dynamicJEP: 'False'
              children:  {}
        Delay-g: 
          type: 'mechanic'
          indicator: '3D'
          data: 
            icon-key: ''
            counts: 'True'
            delay-base: '0.5'
            delay-scale: '0'
            indicator: '2D'
          children: 
            Repeat-h: 
              type: 'mechanic'
              indicator: '3D'
              data: 
                icon-key: ''
                counts: 'True'
                repetitions-base: '5'
                repetitions-scale: '0'
                period: '0.3'
                delay: '0'
                stop-on-fail: 'False'
                indicator: '2D'
              children: 
                Self-i: 
                  type: 'target'
                  indicator: '3D'
                  data: 
                    icon-key: ''
                    indicator: '2D'
                    group: 'enemy'
                    wall: 'false'
                    caster: 'false'
                  children: 
                    Sound-j: 
                      type: 'mechanic'
                      indicator: '3D'
                      data: 
                        icon-key: ''
                        counts: 'True'
                        sound: 'Entity Arrow Shoot'
                        volume-base: '100'
                        volume-scale: '0'
                        pitch-base: '1'
                        pitch-scale: '0'
                        indicator: '2D'
                      children:  {}
                Jun_ProjectLie-k: 
                  type: 'mechanic'
                  indicator: '3D'
                  data: 
                    icon-key: ''
                    counts: 'True'
                    projectile: 'SnowBall'
                    flaming: 'False'
                    cost: ''
                    deviationAngle-base: '0'
                    deviationAngle-scale: '0'
                    xzAngle-base: '0'
                    xzAngle-scale: '0'
                    gravity: 'False'
                    lifeTime-base: '1'
                    lifeTime-scale: '0'
                    break_blocks: 'False'
                    pickupStatus: 'pickup'
                    color: ''
                    snowStrom: ''
                    imgList: 
                    - 'redirect:lsj01.png'
                    isGif: 'False'
                    drawType: 'orthogonal'
                    useTrail: 'True'
                    TrailLen-base: '0.5'
                    TrailLen-scale: '0'
                    trailR: '1'
                    trailG: '1'
                    trailB: '1'
                    trailA: '0.5'
                    particleName: ''
                    particleArea-base: '1'
                    particleArea-scale: '0'
                    particleAmount-base: '1'
                    particleAmount-scale: '0'
                    pierceEntityNum-base: '1'
                    pierceEntityNum-scale: '0'
                    snowStorm: ''
                    pierceBlockNum-base: '1'
                    pierceBlockNum-scale: '0'
                    textureSize-base: '1'
                    textureSize-scale: '0'
                    particleSpeed-base: '1'
                    particleSpeed-scale: '0'
                    group: 'Enemy'
                    spread: 'Cone'
                    amount-base: '1'
                    amount-scale: '0'
                    velocity-base: '3'
                    velocity-scale: '0'
                    angle-base: '30'
                    angle-scale: '0'
                    position: '0'
                    forward-base: '1.5'
                    forward-scale: '0'
                    upward-base: '0'
                    upward-scale: '0'
                    right-base: '0'
                    right-scale: '0'
                    indicator: '2D'
                  children: 
                    Offset-l: 
                      type: 'target'
                      indicator: '3D'
                      data: 
                        icon-key: ''
                        forward-base: '0'
                        forward-scale: '0'
                        upward-base: '0'
                        upward-scale: '0'
                        right-base: '0'
                        right-scale: '0'
                        indicator: '2D'
                        group: 'enemy'
                        wall: 'false'
                        caster: 'false'
                      children: 
                        Area-s: 
                          type: 'target'
                          indicator: '3D'
                          data: 
                            icon-key: ''
                            radius-base: '1'
                            radius-scale: '0'
                            group: 'Enemy'
                            wall: 'False'
                            caster: 'False'
                            max-base: '1'
                            max-scale: '0'
                            random: 'False'
                            indicator: '2D'
                          children: 
                            Jun_ImageParticle-n: 
                              type: 'mechanic'
                              indicator: 'None'
                              data: 
                                icon-key: ''
                                counts: 'True'
                                life-base: '1'
                                life-scale: '0'
                                repeat-base: '1'
                                repeat-scale: '0'
                                readspeed-base: '20'
                                readspeed-scale: '0'
                                inentity: 'True'
                                onentityupdate: 'False'
                                inlook: 'False'
                                isgif: 'False'
                                links: 
                                - 'redirect:lsj11.png'
                                - 'redirect:lsj12.png'
                                - 'redirect:lsj13.png'
                                - 'redirect:lsj14.png'
                                - ''
                                编辑器参数-Base-: 'True'
                                startWidthSize-base: '2'
                                startWidthSize-scale: '0'
                                startHightSize-base: '2'
                                startHightSize-scale: '0'
                                startYawAngle-base: '0'
                                startYawAngle-scale: '0'
                                startPitchAngle-base: '0'
                                startPitchAngle-scale: '0'
                                startRowAngle-base: '0'
                                startRowAngle-scale: '0'
                                UVpitch-base: '0'
                                UVpitch-scale: '0'
                                UVyaw-base: '0'
                                UVyaw-scale: '0'
                                UVrow-base: '0'
                                UVrow-scale: '0'
                                forwardoffset-base: '0'
                                forwardoffset-scale: '0'
                                upoffset-base: '0.2'
                                upoffset-scale: '0'
                                rightoffset-base: '0'
                                rightoffset-scale: '0'
                                forwardspeed-base: '0'
                                forwardspeed-scale: '0'
                                upspeed-base: '0'
                                upspeed-scale: '0'
                                rightspeed-base: '0'
                                rightspeed-scale: '0'
                                编辑器参数-biansu-: 'False'
                                编辑器参数-shijiao-: 'True'
                                HORIZONTAL: 'True'
                                forwardmove: 'True'
                                picthlock: 'True'
                                body: 'eye'
                                Relativeperspective: ''
                                HORIZONTAL-YAW: 'False'
                                编辑器参数-gongzhuan-: 'False'
                                编辑器参数-yanse-: 'False'
                                编辑器参数-OTHER-: 'True'
                                only_Caster_Can_Look: 'False'
                                particlekey: '%playerUUID%SpellIndicator'
                                drawType: 'Orthogonal'
                                indicator: 'False'
                                dynamicJEP: 'False'
                              children:  {}
                            Damage-o: 
                              type: 'mechanic'
                              indicator: '3D'
                              data: 
                                icon-key: ''
                                counts: 'True'
                                type: 'Damage'
                                value-base: '箭士连射_技能伤害'
                                value-scale: '0'
                                true: 'False'
                                classifier: 'default'
                                indicator: '2D'
                              children:  {}
                        Else-p: 
                          type: 'condition'
                          indicator: '3D'
                          data: 
                            icon-key: ''
                            indicator: '2D'
                          children:  {}
